
-- DROP TABLE oneit_sec_user_extension;




CREATE TABLE oneit_sec_user_extension (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    , object_type varchar2(30) NOT NULL ,
    phone varchar2(30) NULL,
    test_input_id number(12)  NULL,
    user_id number(12)  NULL
    );



ALTER TABLE oneit_sec_user_extension ADD    
    CONSTRAINT PK_oneit_sec_user_extension PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_oneit_sec_user_extension_test_input_id 
    ON oneit_sec_user_extension (test_input_id);

    CREATE INDEX idx_oneit_sec_user_extension_user_id 
    ON oneit_sec_user_extension (user_id);
